<!DOCTYPE html>
<html>
  <head>
    <title>Complejo</title>
  </head>
  <body>
    <label>Real:</label>
    <input id="real" />
    <label>Imaginario:</label>
    <input id="imag" />
    <button onclick="onClick()">Modulo</button>
    <script>
      // Crear el objeto Complejo con metodo para calcular
      // su modulo (sqrt(real^2+imag^2))

      class Complejo {
        // Campos privadas
        #real
        #imag
        constructor(real, imag) {
          this.#real = real
          this.#imag = imag
        }

        modulo(){
          return Math.sqrt(this.#real**2 + this.#imag**2)
        }
      }

      function onClick() {
        let real =  document.getElementById('real').value
        let imag =  document.getElementById('imag').value
        complejo = new Complejo(real, imag)

        // undefined
        console.log(complejo.real)

        alert(complejo.modulo())
      }
    </script>
  </body>
</html>